[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Nexuiz



On Fri, Jun 10, 2005 at 01:17:35PM +0200, Nils Philippsen wrote:
> > > Requires: %{name}-data libz.so.1 libvorbis.so.0 libvorbisfile.so.3
> > > Requires: libjpeg.so.62
> > > 
> > > You can drop the specific library requires, rpm should figure that out.
> > 
> > But rpm doesn't. The binary isn't linked against these libraries but
> > tries to load them during runtime.
> 
> Ugh. As it's GPL, can we do something about that? After all if it really
> needs the library there's no reason to not link against it. If it
> doesn't need it (just uses it if present), there's no need to require
> that library.

The server does start if libz.so.1 cannot be found but complains loudly
and it cannot load the levels. Same for the client only that it shuts
itself down after about 5 seconds. So it is definetly required to run
nexuiz.

		Adrian


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]